<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: news_rss.php
| Version: 1.00
| Author: PHP-Fusion Mods UK
| Developers: Craig
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";
include LOCALE.LOCALESET."global.php";

header('Content-Type: text/xml');

echo "<?xml version='1.0' encoding='".$locale['charset']."'?>\n";

global $settings;

$limit = 10;  // Number of  news items to show

$language = "pl"; // language Code see http://www.w3.org/TR/REC-html40/struct/dirlang.html#langcodes

$result=dbquery("SELECT * FROM ".DB_NEWS."
WHERE ".groupaccess('news_visibility')."
AND (news_start='0'||news_start<=".time().")
AND (news_end='0'||news_end>=".time().")
AND news_draft='0'
GROUP BY news_id
ORDER BY news_sticky DESC, news_datestamp DESC LIMIT 0,".$limit."");
                  
$numrows = dbrows($result);
echo "<rss version='2.0' xmlns:dc='http://purl.org/dc/elements/1.1/' xmlns:atom='http://www.w3.org/2005/Atom'>\n";
echo "<channel>\n";
echo "<title>".htmlspecialchars($settings['sitename'])." - RSS News Feed</title>\n";
echo "<link>".$settings['siteurl']."</link>\n";
echo "<description>".$settings['description']."</description>\n";
echo "<image>
<title>".htmlspecialchars($settings['sitename'])." - RSS News Feed</title>\n
<url>".$settings['siteurl'].$settings['sitebanner']."</url>\n
<link>".$settings['siteurl']."</link>\n
</image>\n";
echo"<atom:link href='".$settings['siteurl']."news_rss.php' rel='self' type='application/rss+xml' />\n";
echo "<managingEditor>".$settings['siteemail']." (Admin)</managingEditor>\n";
echo "<webMaster>".$settings['siteemail']." (Admin)</webMaster>\n";
echo "<language>".$language."</language>\n";
for ($i=0;$i < $numrows;$i++)  {
$data = dbarray($result);

$news_news = preg_replace("/<!?--\s*pagebreak\s*-->/i", "", ($data['news_breaks'] == "y" ? nl2br(stripslashes($data['news_news'])) : stripslashes($data['news_news'])));
      
echo "<item>\n";
echo "<title>".$data['news_subject']."</title>\n";
echo "<link>".stripslashes(htmlspecialchars($settings['siteurl'].BASEDIR."news.php?readmore=".$data['news_id']))."</link>\n";
echo "<description>".stripslashes(htmlspecialchars($news_news ))."</description>\n";
echo "<pubDate>".date("r",$data['news_datestamp'])."</pubDate>\n";
echo "<guid>".stripslashes(htmlspecialchars($settings['siteurl'].BASEDIR."news.php?readmore=".$data['news_id']))."</guid>\n";
echo "</item>\n";
}
echo "</channel>\n";
echo "</rss>";
?>
